### Method

# ICalGLib Recurrence set_by_array

since: 4.0

#### Declaration [src]

    void
    i_cal_recurrence_set_by_array (
      ICalRecurrence* recur,
      ICalRecurrenceByRule byrule,
      GArray* values
    )

#### Description [src]

Sets the given ‘by’ array.

Available since: 4.0

#### Parameters

`byrule`

  Type: `ICalRecurrenceByRule`

  The ‘by’ part to use.

`values`

  Type: An array of `short`

  The array of values.

  The data is owned by the caller of the method.